summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-mail/dbmail/files
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-mail/dbmail/files')
-rw-r--r--net-mail/dbmail/files/dbmail-imapd.initd68
-rw-r--r--net-mail/dbmail/files/dbmail-lmtpd.initd68
-rw-r--r--net-mail/dbmail/files/dbmail-pop3d.initd68
-rw-r--r--net-mail/dbmail/files/dbmail-timsieved.initd68
4 files changed, 272 insertions, 0 deletions
diff --git a/net-mail/dbmail/files/dbmail-imapd.initd b/net-mail/dbmail/files/dbmail-imapd.initd
new file mode 100644
index 000000000000..d0ede5aba2f2
--- /dev/null
+++ b/net-mail/dbmail/files/dbmail-imapd.initd
@@ -0,0 +1,68 @@
+#!/sbin/runscript
+#
+# chkconfig: - 91 35
+# description: Starts and stops dbmail-impad
+#
+
+
+PROGRAM=dbmail-imapd
+
+BIN_DIR=/usr/sbin
+PID_DIR=/var/run/dbmail
+PID=pid
+
+# Where is the dbmail.conf file located?
+CONFIG=/etc/dbmail/dbmail.conf
+
+## not in 3.1.x yet
+#extra_started_commands="reload"
+
+depend() {
+ need net
+ # This won't cause a hard failure if neither is installed, however.
+ use mysql
+ use pgsql
+ after mta
+}
+
+initService() {
+ # Avoid using root's TMPDIR
+ unset TMPDIR
+
+ # Check that config file exists.
+ if [ ! -e $CONFIG ]; then
+ eerror "Config file not found ($CONFIG)"
+ eerror "An example config can be found in /etc/dbmail/dbmail.conf.dist"
+ return 1
+ fi
+
+ checkpath -d $PID_DIR -m 750 -o dbmail:dbmail
+
+ RETVAL=0
+}
+
+start() {
+ initService
+ ebegin "Starting DBMail IMAP daemon ($PROGRAM)"
+ start-stop-daemon --start --quiet \
+ --pidfile $PID_DIR/$PROGRAM.$PID \
+ --exec $BIN_DIR/$PROGRAM \
+ --name $PROGRAM \
+ -- -f $CONFIG -p $PID_DIR/$PROGRAM.$PID 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping DBMail IMAP daemon ($PROGRAM)"
+ start-stop-daemon --stop --quiet --retry 15 \
+ --pidfile $PID_DIR/$PROGRAM.$PID
+ eend $?
+}
+
+## not in 3.1.x yet
+#reload() {#
+# ebegin "Reloading DBMail IMAP daemon ($PROGRAM)"
+# start-stop-daemon --quiet --signal HUP \
+# --pidfile $PID_DIR/$PROGRAM.$PID
+# eend $?
+#}
diff --git a/net-mail/dbmail/files/dbmail-lmtpd.initd b/net-mail/dbmail/files/dbmail-lmtpd.initd
new file mode 100644
index 000000000000..0495ba722d22
--- /dev/null
+++ b/net-mail/dbmail/files/dbmail-lmtpd.initd
@@ -0,0 +1,68 @@
+#!/sbin/runscript
+#
+# chkconfig: - 91 35
+# description: Starts and stops dbmail-lmtpd
+#
+
+
+PROGRAM=dbmail-lmtpd
+
+BIN_DIR=/usr/sbin
+PID_DIR=/var/run/dbmail
+PID=pid
+
+# Where is the dbmail.conf file located?
+CONFIG=/etc/dbmail/dbmail.conf
+
+## not in 3.1.x yet
+#extra_started_commands="reload"
+
+depend() {
+ need net
+ # This won't cause a hard failure if neither is installed, however.
+ use mysql
+ use pgsql
+ after mta
+}
+
+initService() {
+ # Avoid using root's TMPDIR
+ unset TMPDIR
+
+ # Check that config file exists.
+ if [ ! -e $CONFIG ]; then
+ eerror "Config file not found ($CONFIG)"
+ eerror "An example config can be found in /etc/dbmail/dbmail.conf.dist"
+ return 1
+ fi
+
+ checkpath -d $PID_DIR -m 750 -o dbmail:dbmail
+
+ RETVAL=0
+}
+
+start() {
+ initService
+ ebegin "Starting DBMail LMTP daemon ($PROGRAM)"
+ start-stop-daemon --start --quiet \
+ --pidfile $PID_DIR/$PROGRAM.$PID \
+ --exec $BIN_DIR/$PROGRAM \
+ --name $PROGRAM \
+ -- -f $CONFIG -p $PID_DIR/$PROGRAM.$PID 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping DBMail LMTP daemon ($PROGRAM)"
+ start-stop-daemon --stop --quiet --retry 15 \
+ --pidfile $PID_DIR/$PROGRAM.$PID
+ eend $?
+}
+
+## not in 3.1.x yet
+#reload() {#
+# ebegin "Reloading DBMail LMTP daemon ($PROGRAM)"
+# start-stop-daemon --quiet --signal HUP \
+# --pidfile $PID_DIR/$PROGRAM.$PID
+# eend $?
+#}
diff --git a/net-mail/dbmail/files/dbmail-pop3d.initd b/net-mail/dbmail/files/dbmail-pop3d.initd
new file mode 100644
index 000000000000..5f39bb211957
--- /dev/null
+++ b/net-mail/dbmail/files/dbmail-pop3d.initd
@@ -0,0 +1,68 @@
+#!/sbin/runscript
+#
+# chkconfig: - 91 35
+# description: Starts and stops dbmail-pop3d
+#
+
+
+PROGRAM=dbmail-pop3d
+
+BIN_DIR=/usr/sbin
+PID_DIR=/var/run/dbmail
+PID=pid
+
+# Where is the dbmail.conf file located?
+CONFIG=/etc/dbmail/dbmail.conf
+
+## not in 3.1.x yet
+#extra_started_commands="reload"
+
+depend() {
+ need net
+ # This won't cause a hard failure if neither is installed, however.
+ use mysql
+ use pgsql
+ after mta
+}
+
+initService() {
+ # Avoid using root's TMPDIR
+ unset TMPDIR
+
+ # Check that config file exists.
+ if [ ! -e $CONFIG ]; then
+ eerror "Config file not found ($CONFIG)"
+ eerror "An example config can be found in /etc/dbmail/dbmail.conf.dist"
+ return 1
+ fi
+
+ checkpath -d $PID_DIR -m 750 -o dbmail:dbmail
+
+ RETVAL=0
+}
+
+start() {
+ initService
+ ebegin "Starting DBMail POP3 daemon ($PROGRAM)"
+ start-stop-daemon --start --quiet \
+ --pidfile $PID_DIR/$PROGRAM.$PID \
+ --exec $BIN_DIR/$PROGRAM \
+ --name $PROGRAM \
+ -- -f $CONFIG -p $PID_DIR/$PROGRAM.$PID 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping DBMail POP3 daemon ($PROGRAM)"
+ start-stop-daemon --stop --quiet --retry 15 \
+ --pidfile $PID_DIR/$PROGRAM.$PID
+ eend $?
+}
+
+## not in 3.1.x yet
+#reload() {#
+# ebegin "Reloading DBMail POP3 daemon ($PROGRAM)"
+# start-stop-daemon --quiet --signal HUP \
+# --pidfile $PID_DIR/$PROGRAM.$PID
+# eend $?
+#}
diff --git a/net-mail/dbmail/files/dbmail-timsieved.initd b/net-mail/dbmail/files/dbmail-timsieved.initd
new file mode 100644
index 000000000000..83674b8f2767
--- /dev/null
+++ b/net-mail/dbmail/files/dbmail-timsieved.initd
@@ -0,0 +1,68 @@
+#!/sbin/runscript
+#
+# chkconfig: - 91 35
+# description: Starts and stops dbmail-timsieved
+#
+
+
+PROGRAM=dbmail-timsieved
+
+BIN_DIR=/usr/sbin
+PID_DIR=/var/run/dbmail
+PID=pid
+
+# Where is the dbmail.conf file located?
+CONFIG=/etc/dbmail/dbmail.conf
+
+## not in 3.1.x yet
+#extra_started_commands="reload"
+
+depend() {
+ need net
+ # This won't cause a hard failure if neither is installed, however.
+ use mysql
+ use pgsql
+ after mta
+}
+
+initService() {
+ # Avoid using root's TMPDIR
+ unset TMPDIR
+
+ # Check that config file exists.
+ if [ ! -e $CONFIG ]; then
+ eerror "Config file not found ($CONFIG)"
+ eerror "An example config can be found in /etc/dbmail/dbmail.conf.dist"
+ return 1
+ fi
+
+ checkpath -d $PID_DIR -m 750 -o dbmail:dbmail
+
+ RETVAL=0
+}
+
+start() {
+ initService
+ ebegin "Starting DBMail SIEVE daemon ($PROGRAM)"
+ start-stop-daemon --start --quiet \
+ --pidfile $PID_DIR/$PROGRAM.$PID \
+ --exec $BIN_DIR/$PROGRAM \
+ --name $PROGRAM \
+ -- -f $CONFIG -p $PID_DIR/$PROGRAM.$PID 2>&1
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping DBMail SIEVE daemon ($PROGRAM)"
+ start-stop-daemon --stop --quiet --retry 15 \
+ --pidfile $PID_DIR/$PROGRAM.$PID
+ eend $?
+}
+
+## not in 3.1.x yet
+#reload() {#
+# ebegin "Reloading DBMail SIEVE daemon ($PROGRAM)"
+# start-stop-daemon --quiet --signal HUP \
+# --pidfile $PID_DIR/$PROGRAM.$PID
+# eend $?
+#}